# RakNet::Connection_RM2Factory Class Reference
[ReplicaManager2]

Implement this factory class to return instances of your Connection_RM2 derived object. This is used as a class factory and exposes functionality related to the connection and the system. More...

`#include <ReplicaManager2.h>`

List of all members.

## Detailed Description

Implement this factory class to return instances of your Connection_RM2 derived object. This is used as a class factory and exposes functionality related to the connection and the system.

The documentation for this class was generated from the following file:

- C:/RakNet/Source/ReplicaManager2.h